/*
 *  acm - Commands interpreter, mostly for debugging
 *  Copyright (C) 2007 Umberto Salsi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

/**
 * Execute a command given as a string, returning results on the terminal
 * (see module "terminal") currently active on the given viewer. Mostly
 * useful for debugging at run-time. Useless for the end user.
 * 
 * @author Umberto Salsi <salsi@icosaedro.it>
 * @license GNU GPL
 * @version $Date: 2020/01/08 06:01:45 $
 * @file
 */

#ifndef _commands_h
#define _commands_h

#include "pm.h"

#ifdef commands_IMPORT
	#define EXTERN
#else
	#define EXTERN extern
#endif

EXTERN void commands_execute(viewer *u, char *cmd);

#undef EXTERN
#endif
